Issue 66045 - SVG export hair-thin lines
Summary: SVG export hair-thin lines
Status: REOPENED
Alias: None
Product: Draw
Classification: Application
Component: save-export (show other issues)
Version: OOo 2.0.2
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2006-06-02 10:41 UTC by nmailhot
Modified: 2017-05-20 10:48 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
test file (9.66 KB, application/vnd.sun.xml.draw)
2006-06-02 10:58 UTC, nmailhot
no flags Details
svg version (17.72 KB, text/xml)
2006-06-02 10:59 UTC, nmailhot
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description nmailhot 2006-06-02 10:41:14 UTC
The lines in a draw schema once exported as SVG appear as hair-thin in a svg
editor like inkscape, even if they have a non-zero (sub millimiter) width originally
Comment 1 nmailhot 2006-06-02 10:58:18 UTC
Created attachment 36873 [details]
test file
Comment 2 nmailhot 2006-06-02 10:59:59 UTC
Created attachment 36874 [details]
svg version
Comment 3 wolframgarten 2006-06-02 12:21:24 UTC
Reproducible. Reassigned.
Comment 4 Martin Hollmichel 2007-11-09 17:01:46 UTC
set target from 2.x to 3.x according
http://wiki.services.openoffice.org/wiki/Target_3x
Comment 5 Rainer Bielefeld 2010-01-04 07:41:08 UTC
Lines are shown corrctly in Seamonkey for a SVG export from test.odg with "Ooo
3.2.0 RC1 WIN XP DE-multilingual version German UI activated [OOo320m8 (Build
9472)]"! May be this has been fixed in between?

But in my test now texts are missing. 

@nmailhot 
Did you file a report concerning a "text is missing" problem?
Comment 6 Rainer Bielefeld 2010-01-12 07:17:31 UTC
Closing issue due to reporter's inactivity as WFM.

Related to Issue 108051?
Comment 7 Mechtilde 2010-01-19 13:10:24 UTC
worksforme -> closed
Comment 8 nmailhot 2010-01-20 13:52:18 UTC
@rainerbielefeld : no I really filed bout the lines. But while this problem
seems to have been fixed, the text part now do not export properly
Comment 9 nmailhot 2010-01-20 14:02:52 UTC
Actually, I was totally wrong. The original problem is still there (OO.o 3.2 rc2)

If you look at the gfx elements in an svg editor like inkscape you'll see :

1. Lines are not really lines they are rectangles
2. The rectangle filling is undefined
3. The rectangle outline width is zero

Therefore, even though a lot of apps will still fall back to black and display
something, trying to print the document will result at best in hair-thin lines,
and at worst in nothing

You do not see this effect in seamonkey since 1. it falls back to black 2. it
rounds outline width to 1px, so you still see something, even though the lines
should not exist
Comment 10 Rainer Bielefeld 2013-04-22 09:31:32 UTC
No longer reproducible with server installation of "Ooo 4.0.0  – WIN7  Home Premium  (64bit) English UI [AOO400m1(Build:9700)  -  Rev. 1457992 - Rev.1457606]"
Lines look fine

WFM/FIXED?
Comment 11 Marcus 2017-05-20 10:48:14 UTC
Reset assigne to the default "issues@openoffice.apache.org".